#include <bits/stdc++.h>
#include "vision.h"
#define ll long long
std::vector<int> getVisionPattern1d() {
  return {111213};
}
int getMove1d(std::vector<int> v) {
  int s = v.size()/2;
  if (s == 1) {
    if (v[0] == 2 || v[0] == 3) {
      return 0;
    } else {
      return 2;
    }
  }

  if (s == 2) {
    if (v[0] == 3) {
      return 0;
    } else {
      return 4;
    }
  }

  if (v[1] == 2) {
    return 6;
  } else {
    return 0;
  }
}
std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}